Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#31352 - [libreoffice] - The application can not be started.

Attached to Project: Arch Linux
Opened by Alois Nespor (anespor) - Friday, 31 August 2012, 08:41 GMT
Last edited by Andreas Radke (AndyRTR) - Sunday, 02 September 2012, 09:06 GMT
Task Type Bug Report
Category Packages: Testing
Status Closed
Assigned To Andreas Radke (AndyRTR)
Architecture x86_64
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 6
Private No

Details

Description:
The application can not be started.
exception occurred raising singleton "/singletons/com.sun.star.deployment.ExtensionManager": loading component library failed: file:///usr/lib/libreoffice/program/../program/libdeployment.so


Additional info:
* package version(s)
libreoffice-calc libreoffice-draw libreoffice-impress
libreoffice-common libreoffice-extension-pdfimport libreoffice-writer
libreoffice-cs libreoffice-gnome

* config and/or log files etc.

rm /home/user/.config/libreoffice -> no effect

Steps to reproduce:

pacman -Syu (include [testing] stuff)
This task depends upon

Closed by  Andreas Radke (AndyRTR)
Sunday, 02 September 2012, 09:06 GMT
Reason for closing:  Fixed
Additional comments about closing:  clucene is a runtime dep, not optional. fixed in 3.6.1-2
Comment by Alois Nespor (anespor) - Friday, 31 August 2012, 08:52 GMT
Of course this is the version 3.6.1.
Comment by Frederic Bezies (fredbezies) - Friday, 31 August 2012, 09:19 GMT
I reported also the bug. I will ask mine to be a duplicate of your one.

The only option : downgrading to LibreOffice 3.5.6 for now.
Comment by Andreas Radke (AndyRTR) - Friday, 31 August 2012, 10:11 GMT
Install clucene package. The dep is missing.
Comment by Alois Nespor (anespor) - Friday, 31 August 2012, 10:19 GMT
confirm solution!

clucene is only as optdepend, but must be marked as depends. Works now.
Comment by Chuck (foxcm2000) - Saturday, 01 September 2012, 02:44 GMT
I can confirm the bug behaviour and the work-around with installing clucene!
Comment by Uli (Army) - Saturday, 01 September 2012, 09:21 GMT
I had this problem as well, then installed clucene, which solved THIS problem.

But when I now execute soffice, I see this startup window, which then suddenly starts blinking and doesn't continue to do anything. This happens if libreoffice-de is installed, everything's fine with libreoffice-en-US. So libreoffice-de is broken!

Maybe I should open a new bugreport for this?
Comment by Frederic Bezies (fredbezies) - Saturday, 01 September 2012, 09:23 GMT
Not related to any translation. I had the same problem. I just installed libreoffice-extension and all worked.
Comment by Uli (Army) - Saturday, 01 September 2012, 09:30 GMT
Ok, there's already a bugreport for this https://bugs.archlinux.org/task/31360

Loading...